Class | Bio::Iprscan::Report::Match
In: | lib/bio/appl/iprscan/report.rb
Parent: | Object

## Description

Container class for InterProScan matches.

## Usage

     match = Match.new(:query_id => ...)

     match.ipr_id = 'IPR001234'
     match.ipr_id #=> 'IPR001234'

### Methods

accession crc64 date description evalue go_terms ipr_id ipr_odescription length match_end match_start method_missing method_name new query_id status

### Public Class methods

new(hash)

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 323
    323:         def initialize(hash)
    324:           @data = Hash.new
    325:           hash.each do |key, value|
    326:             @data[key.to_sym] = value
    327:           end
    328:         end

### Public Instance methods

accession()

the database members entry for this match.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 351
    351:         def accession;       @data[:accession];       end

crc64()

CRC64 checksum of query sequence.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 333
    333:         def crc64;           @data[:crc64];           end

date()

Date for computation.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 331
    331:         def date;            @data[:date];            end

description()

the database mambers description for this match.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 353
    353:         def description;     @data[:description];     end

evalue()

E-value of the match

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 335
    335:         def evalue;          @data[:evalue];          end

go_terms()

the Gene Ontology description for the InterPro entry, in "Aspect :term (ID)" format.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 345
    345:         def go_terms;        @data[:go_terms];        end

ipr_id()

the corresponding InterPro entry (if any).

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 339
    339:         def ipr_id;          @data[:ipr_id];          end

ipr_odescription()

the descriotion of the InterPro entry.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 357
    357:         def ipr_odescription; @data[:ipr_description]; end

length()

the length of the sequence in AA.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 341
    341:         def length;          @data[:length];          end

match_end()

the end of the domain match.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 349
    349:         def match_end;       @data[:match_end];       end

match_start()

the start of the domain match.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 355
    355:         def match_start;     @data[:match_start];     end

method_missing(name, arg = nil)

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 359
    359:         def method_missing(name, arg = nil)
    360:           if arg
    361:             name = name.to_s.sub(/=$/, '')
    362:             @data[name.to_sym] = arg
    363:           else
    364:             @data[name.to_sym]
    365:           end
    366:         end

method_name()

the analysis method launched.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 343
    343:         def method_name;          @data[:method];          end

query_id()

Id of the input sequence.

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 347
    347:         def query_id;        @data[:query_id];        end

status()

Status of the match (T for true / M for marginal).

[Source]

         # File lib/bio/appl/iprscan/report.rb, line 337
    337:         def status;          @data[:status];          end

[Validate]